Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/ConstructionBudget/FrmConstructionBudgetAuxiliary.cs	(revision 6)
@@ -124,6 +124,57 @@
         }
         #endregion
 
+        #region 工事承認確認
+        /// <summary>
+        /// 工事が承認されているか確認する
+        /// </summary>
+        /// <returns></returns>
+        private bool ApprovalCheck()
+        {
+            IOProcessApproval AppDB = new IOProcessApproval();
+            try
+            {
+                // 工事予算の承認データを取得する
+                int Code = ClsExcute.AppovalList.First(x => x.Value.Equals("工事予算書承認")).Key;
+                string strSQL = AppDB.CreatePrimarykeyString(m_ConstructionCode, Code, 1);
+                ProcessApproval AppRec = new ProcessApproval();
+                if (!AppDB.SelectAction(strSQL, ref AppRec)) return false;
+
+                // 承認されているか？
+                if (AppRec.ApprovalStatus != (int)CommonDefine.ApprovalStatus.Approval) return false;
+
+                // 承認されている場合
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                AppDB.close(); AppDB = null;
+            }
+        }
+        #endregion
+
+        #region 経費率データ読込み並び
+        /// <summary>
+        /// 経費率データ読込み並び
+        /// </summary>
+        private enum ExpensesArray
+        {
+            /// <summary>
+            /// 経費名称
+            /// </summary>
+            ExpensesName = 0,
+            /// <summary>
+            /// 経費率
+            /// </summary>
+            ExpensesRate,
+        }
+        #endregion
+
         #region 経費率リスト取得処理
         /// <summary>
         /// 経費率リストを取得する
@@ -136,19 +187,20 @@
             try
             {
                 // 工事担当者マスタ取得
-                string strPerson = picDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionPersonCode);
+                string strPerson = picDB.CreatePrimarykeyString(m_Constructor);
                 PersonInChargeMaster picRec = new PersonInChargeMaster();
                 if(!picDB.SelectAction(strPerson,ref picRec)) return false;
 
                 // 部署経費率マスタ取得
                 string strSQL = "SELECT A.NAMESTRING, NVL(B.EXPENSESRATIO, 0)";
-                strSQL += " FROM DIVISIONMASTER A, ";
-                strSQL += " (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO FROM DEPARTMENTEXPENSESMASTER";
-                strSQL += string.Format(" WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
+                strSQL += " FROM DIVISIONMASTER A";
+                strSQL += " LEFT OUTER JOIN";
+                strSQL += string.Format(" (SELECT NAMECODE, DEPARTMENTCODE, EXPENSESRATIO FROM DEPARTMENTEXPENSESMASTER WHERE DEPARTMENTCODE = {0}) B", picRec.DepartmentCode);
+                strSQL += " ON A.NAMECODE = B.NAMECODE";
                 strSQL += string.Format(" WHERE A.DIVISIONCODE = {0}", (int)CommonDefine.DivisionMasterCodeDefine.ConstructionExpenses);
-                strSQL += " AND A.NAMECODE = B.NAMECODE(+) ORDER BY A.DISPLAYORDER";
-                if (!expDB.ExecuteReader(strSQL, ref ExpensesList)) return false;
-                if (ExpensesList.Count == 0) return false;
+                strSQL += " ORDER BY A.DISPLAYORDER";
+                if (!expDB.ExecuteReader(strSQL, ref m_ExpensesList)) return false;
+                if (m_ExpensesList.Count == 0) return false;
 
                 return true;
             }
@@ -179,12 +231,12 @@
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstName] = lblLabel02;
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace] = lblLabel03;
 
+            m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName] = lblLabel06;
+
             m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName] = lblLabel04;
-            m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts] = lblCreatorCost;
 
+            m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName] = label21;
             m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName] = label12;
-            m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts] = lblInstructorCost;
-            m_DspLabelCtrl[(int)DspLblCtrlName.InstructorTime] = lblInstructorTime;
 
             m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate] = label2;
             m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice] = label6;
@@ -195,6 +247,8 @@
             m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType] = label17;
 
             m_DspLabelCtrl[(int)DspLblCtrlName.SalaryDays] = textBox1;
+            m_DspLabelCtrl[(int)DspLblCtrlName.A_SalaryDays] = textBox2;
+            m_DspLabelCtrl[(int)DspLblCtrlName.I_SalaryDays] = textBox3;
 
             // データ行数
             int DispLineCnt = Enum.GetNames(typeof(CostsRowLine)).Length;
@@ -241,50 +295,79 @@
         }
         #endregion
 
-        #region 受注金額を取得する
+        #region 工事担当者／副担当／指導員情報取得
         /// <summary>
-        /// 積算見積・積算予算から受注金額を取得する
+        /// 工事担当者／副担当／指導員情報取得
         /// </summary>
         /// <returns></returns>
-        private int GetOrdersDecision(bool ExistBudget)
+        private bool SetConstructorCode()
         {
-            IOEstimateBudgetDetail BudgetDB = new IOEstimateBudgetDetail();
-            IOEstimateData EstimateDB = new IOEstimateData();
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOConstructionBudget cbDB = new IOConstructionBudget();
             try
             {
-                int iRet = 0;
-                if (ExistBudget)
-                {   // 積算予算書から金額を取得する
-                    string strSQL = "SELECT SUM(NEGOTIATIONPRICE) FROM ESTIMATEBUDGETDETAIL";
-                    strSQL += string.Format(" WHERE CONSTRUCTIONCODE = {0}", m_ConstructionCode);
-                    ArrayList arList = new ArrayList();
-                    if (!BudgetDB.ExecuteReader(strSQL, ref arList)) return 0;
-                    if (arList.Count == 0) return 0;
-
-                    object[] wrkobj = (object[])arList[0];
-                    iRet = (int)CommonMotions.cnvDouble(wrkobj[0]);
+                // 工事予算書を取得する
+                ConstructionBudget cbRec = new ConstructionBudget();
+                string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
+                // 読込時承認後はエラーにする
+                if (!cbDB.SelectAction(strSQL, ref cbRec))
+                {
+                    if (m_ApprovalFlg) return false;
                 }
-                else
-                {   // 積算見積書から金額を取得する
-                    string strSQL = EstimateDB.CreatePrimarykeyString(m_ConstructionCode);
-                    strSQL += " AND FixedItemCode = 'A'";
-                    List<EstimateData> DataList = new List<EstimateData>();
-                    if (!EstimateDB.SelectAction(strSQL, ref DataList)) return 0;
-                    if (DataList.Count == 0) return 0;
-                    iRet = (int)DataList[0].PriceValue;
-                }
 
-                return iRet;
+                // ----- 工事担当者情報
+                // 工事担当者取得：工事予算が承認されていない間は変更可能
+                m_Constructor = m_ConstructionBaseInfo.ConstructionPersonCode;
+                if (m_ApprovalFlg) m_Constructor = cbRec.CreatorCode;
+
+                // 工事担当者のマスタを読み込む
+                strSQL = picDB.CreatePrimarykeyString(m_Constructor);
+                PersonInChargeMaster personRec = new PersonInChargeMaster();
+                picDB.SelectAction(strSQL, ref personRec);
+
+                // 担当者給与単価セット
+                m_CreatorMonthryCost = (int)(personRec.MonthlySalary * CommonDefine.s_SalaryExpenses);
+                if (m_ApprovalFlg) m_CreatorMonthryCost = (int)cbRec.CreatorCosts;
+
+                // ----- 副工事担当者情報
+                // 副工事担当者取得：工事予算が承認されていない間は変更可能
+                m_SubConstractor = m_ConstructionBaseInfo.ConstrSubPersonCode;
+                if (m_ApprovalFlg) m_SubConstractor = cbRec.AssistantCode;
+
+                // 副工事担当者のマスタを読み込む
+                strSQL = picDB.CreatePrimarykeyString(m_SubConstractor);
+                PersonInChargeMaster subPersonRec = new PersonInChargeMaster();
+                picDB.SelectAction(strSQL, ref subPersonRec);
+
+                // 副担当者給与単価セット
+                m_AssistantMonthryCost = CommonDefine.AssistantMonthryCost;
+                if (m_ApprovalFlg) m_AssistantMonthryCost = (int)cbRec.AssistantCosts;
+
+                // ----- 指導員情報
+                // 指導員取得：工事予算が承認されていない間は変更可能
+                m_Instructor = m_ConstructionBaseInfo.ConstructionInstructor;
+                if (m_ApprovalFlg) m_Instructor = cbRec.InstructorCode;
+
+                // 指導員のマスタを読み込む
+                strSQL = picDB.CreatePrimarykeyString(m_Instructor);
+                PersonInChargeMaster instructorRec = new PersonInChargeMaster();
+                picDB.SelectAction(strSQL, ref instructorRec);
+
+                // 指導員給与単価セット
+                m_InstructorMonthryCost = CommonDefine.InstructorMonthryCost;
+                if (m_ApprovalFlg) m_InstructorMonthryCost = (int)cbRec.InstructorCosts;
+
+                return true;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-                return 0;
+                return false;
             }
             finally
             {
-                BudgetDB.close(); BudgetDB = null;
-                EstimateDB.close(); EstimateDB = null;
+                picDB.close(); picDB = null;
+                cbDB.close(); cbDB = null;
             }
         }
         #endregion
@@ -293,7 +376,7 @@
         /// <summary>
         /// ヘッダー情報表示
         /// </summary>
-        private bool DispHeader(bool ExistBudget)
+        private bool DispHeader()
         {
             IOConstructionBaseInfoDetail cbidDB = new IOConstructionBaseInfoDetail();
             IOMPersonInCharge picDB = new IOMPersonInCharge();
@@ -301,130 +384,192 @@
             IOConstructionBudget cbDB = new IOConstructionBudget();
             try
             {
-                m_HeaderToolTip = new ToolTip();
-
                 // 工事予算書を取得する
+                ConstructionBudget cbRec = new ConstructionBudget();
                 string strSQL = cbDB.CreatePrimarykeyString(m_ConstructionCode);
-                ConstructionBudget cbRec = new ConstructionBudget();
                 bool bBudgetExist = cbDB.SelectAction(strSQL, ref cbRec);
 
-                // データ表示
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = cbRec.CreateDate.ToShortDateString();                                                     // 作成日
-                
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionBaseInfo.ConstructionCode, "-", 8);       // 工事コード
-                
-                int OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
-                if (OrdersPrice == 0) OrdersPrice = GetOrdersDecision(ExistBudget);
-                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0") + "-";                                                // 受注金額
+                m_HeaderToolTip = new ToolTip();
 
+                // ----- 基本データ表示
+                // 工事コード
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstCode].Text = CommonMotions.cnvStringCodeFromInt(m_ConstructionBaseInfo.ConstructionCode, "-", 8);
 
                 // 工事基本情報明細取得
                 strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
                 ConstructionBaseInfoDetail workRec = new ConstructionBaseInfoDetail();
                 if (!cbidDB.SelectAction(strSQL, ref workRec)) return false;
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;                                                                      // 工事名称
+                
+                // 工事名称
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstName].Text = workRec.DetailString;
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstName], workRec.DetailString);
                 
+                // 工事場所
                 strSQL = cbidDB.CreatePrimarykeyString(m_ConstructionCode);
                 strSQL += string.Format(" And (DetailNo = {0} Or DetailNo = {1} Or DetailNo = {2})",
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,                                   // 工事場所１
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,                                   // 工事場所２
-                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);                                  // 工事場所３
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace1,    // 工事場所１
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace2,    // 工事場所２
+                                            (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionPlace3);   // 工事場所３
                 strSQL += " Order By DetailNo";
                 List<ConstructionBaseInfoDetail> workList = new List<ConstructionBaseInfoDetail>();
                 cbidDB.SelectAction(strSQL, ref workList);
                 string Place = string.Empty;
-                foreach (ConstructionBaseInfoDetail wrkRec in workList)
-                {
-                    Place += wrkRec.DetailString;
-                }
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;                                                                                    // 工事場所
+                foreach (ConstructionBaseInfoDetail wrkRec in workList) Place += wrkRec.DetailString;
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace].Text = Place;
                 m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstPlace], Place);
 
+                ConstructionBaseInfoDetail OrderRec = new ConstructionBaseInfoDetail();
+                string strOrder = cbidDB.CreatePrimarykeyString(m_ConstructionCode, (int)ConstructionBaseInfoDetail.DetailDataNo.OrderersName);
+                cbidDB.SelectAction(strOrder, ref OrderRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersName].Text = OrderRec.DetailString;                                 // 発注者名称
+
+                // 受注金額
+                int OrdersPrice = (int)m_ConstructionBaseInfo.OrdersDecisionPrice;
+                m_DspLabelCtrl[(int)DspLblCtrlName.OrdersPrice].Text = @"\" + OrdersPrice.ToString("#,0");
+
+                // ----- 工事種別マスタ取得
+                // 工事種別
+                strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
+                ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
+                ctypeDB.SelectAction(strSQL, ref ctypeRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;
+                Font workFont = m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font;
+                // 文字数が多い場合はFontを小さくする
+                if (ctypeRec.NameString.Length > 13) workFont = new Font(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font.FontFamily, 9);
+                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Font = workFont;
+                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType], ctypeRec.NameString);
+
+                // 作成日
+                if (!bBudgetExist)
+                    m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = DateTime.Now.ToShortDateString();
+                else
+                    m_DspLabelCtrl[(int)DspLblCtrlName.CreateDate].Text = cbRec.CreateDate.ToShortDateString();
+
                 // 工事担当者取得
-                int PersonCode = m_ConstructionBaseInfo.ConstructionPersonCode;
-                strSQL = picDB.CreatePrimarykeyString(PersonCode);
+                strSQL = picDB.CreatePrimarykeyString(m_Constructor);
                 PersonInChargeMaster personRec = new PersonInChargeMaster();
                 picDB.SelectAction(strSQL, ref personRec);
+                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;
+                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName], personRec.PersonName);
 
-                // 給与単価セット
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text = CommonMotions.cnvRound(personRec.MonthlySalary).ToString();
+                // 副担当者取得
+                pnlGroup2.Visible = false;
+                if (m_SubConstractor != 0)
+                {
+                    pnlGroup2.Visible = true;
+                    strSQL = picDB.CreatePrimarykeyString(m_SubConstractor);
+                    PersonInChargeMaster subPersonRec = new PersonInChargeMaster();
+                    picDB.SelectAction(strSQL, ref subPersonRec);
+                    m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName].Text = subPersonRec.PersonName;
+                    m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.AssistantName], subPersonRec.PersonName);
+                }
 
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName].Text = personRec.PersonName;                                                                    // 作成者
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.CreatorName], personRec.PersonName);
-                
-                // 担当指導員取得
-                PersonCode = m_ConstructionBaseInfo.ConstructionInstructor;
-                if (PersonCode != 0)
+                // 指導員取得
+                pnlGroup3.Visible = false;
+                if (m_Instructor != 0)
                 {
-                    strSQL = picDB.CreatePrimarykeyString(PersonCode);
+                    pnlGroup3.Visible = true;
+                    strSQL = picDB.CreatePrimarykeyString(m_Instructor);
                     PersonInChargeMaster instructorRec = new PersonInChargeMaster();
                     picDB.SelectAction(strSQL, ref instructorRec);
-                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;                                                         // 担当指導員
-                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts].Text = m_InstructorMonthryCost.ToString();
+                    m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName].Text = instructorRec.PersonName;
                     m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.InstructorName], instructorRec.PersonName);
                 }
 
-                DateTime StDate = cbRec.ConstructionStart;
-                DateTime EdDate = cbRec.ConstructionEnd;
-                bool bDsp = true;
-                // 開始日が無い場合
-                if (StDate == DateTime.MinValue) StDate = m_ConstructionBaseInfo.ConstructionPeriodStart;
-                // 完了日が無い場合
-                if (EdDate == DateTime.MinValue) EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd;
+                DateTime StDate = m_ConstructionBaseInfo.ConstructionPeriodStart;
+                DateTime EdDate = m_ConstructionBaseInfo.ConstructionPeriodEnd;
+                bool bDsp = false;
+                if (m_ApprovalFlg) StDate = cbRec.ConstructionStart;
+                if (m_ApprovalFlg) EdDate = cbRec.ConstructionEnd;
 
-                if (StDate != DateTime.MinValue)
+                m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = CommonMotions.cnvDateToUndecidedString(StDate);             // 工期（開始）
+                if (StDate != DateTime.MinValue) bDsp = true;
+
+                m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = CommonMotions.cnvDateToUndecidedString(EdDate);             // 工期（終了）
+                if (EdDate != DateTime.MinValue) bDsp = true;
+
+                // 工期計算
+                if (bDsp) m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text = CommonMotions.DiffMounthTimes(StDate, EdDate).ToString("0.00");
+
+                // 担当者給与振分区分
+                if (bBudgetExist)
                 {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = StDate.ToShortDateString();                                 // 契約工期開始
+                    textBox1.Enabled = false;
+                    switch (cbRec.SalaryFlg)
+                    {
+                        case (int)CommonDefine.SalaryDevision.All:       // 全日
+                            radioButton1.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
+                            radioButton2.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.DaysInput: // 日数入力
+                            radioButton3.Checked = true;
+                            textBox1.Enabled = true;
+                            break;
+                    }
+                    textBox1.Text = cbRec.SalaryDays.ToString("#,#");
                 }
                 else
                 {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.StartingDate].Text = CommonMotions.cnvDateToUndecidedString(StDate);             // 工期（開始）
-                    bDsp = false;
+                    radioButton1.Checked = true;
                 }
 
-                if (EdDate != DateTime.MinValue)
+                // 副担当者給与振分区分
+                if (bBudgetExist)
                 {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = EdDate.ToShortDateString();                                 // 契約工期完成
+                    textBox2.Enabled = false;
+                    switch (cbRec.A_SalaryFlg)
+                    {
+                        case (int)CommonDefine.SalaryDevision.All:       // 全日
+                            radioButton4.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
+                            radioButton5.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.DaysInput: // 日数入力
+                            radioButton6.Checked = true;
+                            textBox2.Enabled = true;
+                            break;
+                    }
+                    textBox2.Text = cbRec.A_SalaryDays.ToString("#,#");
                 }
                 else
                 {
-                    m_DspLabelCtrl[(int)DspLblCtrlName.CompleteDate].Text = CommonMotions.cnvDateToUndecidedString(EdDate);             // 工期（終了）
-                    bDsp = false;
+                    radioButton4.Checked = true;
                 }
 
-                // 工期計算
-                if (bDsp) m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text = CommonMotions.DiffMounthTimes(StDate, EdDate).ToString("0.00");
-
-                // 工事種別マスタ取得
-                // 担当者マスタ取得
-                strSQL = ctypeDB.CreatePrimarykeyString(m_ConstructionBaseInfo.ConstructionType);
-                ConstructionTypeMaster ctypeRec = new ConstructionTypeMaster();
-                ctypeDB.SelectAction(strSQL, ref ctypeRec);
-                m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType].Text = ctypeRec.NameString;                                                                   // 工事種別
-                m_HeaderToolTip.SetToolTip(m_DspLabelCtrl[(int)DspLblCtrlName.ConstructionType], ctypeRec.NameString);
-
-                // 給与振分区分
-                switch (cbRec.SalaryFlg)
+                // 指導員給与振分区分
+                if (bBudgetExist)
                 {
-                    case (int)CommonDefine.SalaryDevision.All:       // 全日
-                        radioButton1.Checked = true;
-                        break;
-                    case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
-                        radioButton2.Checked = true;
-                        break;
-                    case (int)CommonDefine.SalaryDevision.DaysInput: // 日数入力
-                        radioButton3.Checked = true;
-                        textBox1.Text = cbRec.SalaryDays.ToString();
-                        break;
+                    textBox3.Enabled = false;
+                    switch (cbRec.I_SalaryFlg)
+                    {
+                        case (int)CommonDefine.SalaryDevision.All:       // 全日
+                            radioButton7.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.Noting:    // 振分無
+                            radioButton8.Checked = true;
+                            break;
+                        case (int)CommonDefine.SalaryDevision.DaysInput: // 日数入力
+                            radioButton9.Checked = true;
+                            textBox3.Enabled = true;
+                            break;
+                    }
+                    textBox3.Text = cbRec.I_SalaryDays.ToString("#,#");
                 }
-                // 担当者給与セット
-                m_DspLabelCtrl[(int)DspLblCtrlName.CreatorCosts].Text = (personRec.MonthlySalary * CommonDefine.s_SalaryExpenses).ToString("#,0");
-                // 指導員給与セット
-                m_DspLabelCtrl[(int)DspLblCtrlName.InstructorCosts].Text = m_InstructorMonthryCost.ToString("#,0");
-                // 指導員稼働月数
-                m_DspLabelCtrl[(int)DspLblCtrlName.InstructorTime].Text = m_DspLabelCtrl[(int)DspLblCtrlName.BetweenTimes].Text.ToString();
-
+                else
+                {
+                    radioButton7.Checked = true;
+                }
+                // 一般ユーザーは人件費を変更できない
+                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
+                if (CommonMotions.LoginUserData.SecurityManagement == User)
+                {
+                    pnlGroup1.Enabled = false;
+                    pnlGroup2.Enabled = false;
+                    pnlGroup3.Enabled = false;
+                }
                 return true;
             }
             catch (Exception ex)
@@ -447,7 +592,7 @@
         /// データ行を作成する
         /// </summary>
         /// <param name="SetData"></param>
-        private void CreateTitileRow(int TitileNo, string TitileName)
+        private void CreateTitleRow(int TitleNo, string TitleName)
         {
             try
             {
@@ -457,11 +602,11 @@
 
                 // データ作成
                 object[] SetData = new object[Enum.GetNames(typeof(DispGridColumn)).Length];
-                SetData[(int)DispGridColumn.No] = TitileNo;
+                SetData[(int)DispGridColumn.No] = TitleNo;
                 SetData[(int)DispGridColumn.FixFlg] = "*";
-                SetData[(int)DispGridColumn.GroupCount] = TitileNo;
-                SetData[(int)DispGridColumn.ItemName] = TitileName;
-                SetData[(int)DispGridColumn.TitileFlg] = "1";
+                SetData[(int)DispGridColumn.GroupCount] = TitleNo;
+                SetData[(int)DispGridColumn.ItemName] = TitleName;
+                SetData[(int)DispGridColumn.TitleFlg] = "1";
 
                 // 行データセット
                 dgv.Rows[rowcnt].SetValues(SetData);
@@ -469,7 +614,7 @@
                 // 行の色を変える
                 for (int i = 0; i < (int)DispGridColumn.BlankFlg; i++)
                 {
-                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = s_TitileRowBackColor;
+                    dgv.Rows[rowcnt].Cells[i].Style.BackColor = s_TitleRowBackColor;
                 }
 
                 // 表示した行を書込み禁止にする
@@ -516,7 +661,7 @@
                         // 購入品の入力ロック解除
                         CurRow.Cells[(int)DispGridColumn.TextName].ReadOnly = false;
                         CurRow.Cells[(int)DispGridColumn.ItemName].ReadOnly = false;
-                        CurRow.Cells[(int)DispGridColumn.SubContractorName].ReadOnly = false;
+                        CurRow.Cells[(int)DispGridColumn.CompanyName].ReadOnly = false;
                         break;
                     case (int)GroupName_ConstructionBudget.VehicleLeaseFee:
                         // 車両リース代
@@ -528,13 +673,13 @@
                         // 宿泊費
                         CurRow.Cells[(int)DispGridColumn.ItemName].ReadOnly = false;
                         CurRow.Cells[(int)DispGridColumn.TextName].ReadOnly = false;
-                        CurRow.Cells[(int)DispGridColumn.SubContractorName].ReadOnly = false;
+                        CurRow.Cells[(int)DispGridColumn.CompanyName].ReadOnly = false;
                         break;
                     case (int)GroupName_ConstructionBudget.DisposeCosts:
                         // 処分費の入力ロック解除
                         CurRow.Cells[(int)DispGridColumn.ItemName].ReadOnly = false;
                         CurRow.Cells[(int)DispGridColumn.TextName].ReadOnly = false;
-                        CurRow.Cells[(int)DispGridColumn.SubContractorName].ReadOnly = false;
+                        CurRow.Cells[(int)DispGridColumn.CompanyName].ReadOnly = false;
                         break;
                 }
             }
@@ -564,7 +709,7 @@
                 // 行データセット
                 CurRow.SetValues(SetData);
                 // フラグセット
-                CurRow.Cells[(int)DispGridColumn.TitileFlg].Value = "0";
+                CurRow.Cells[(int)DispGridColumn.TitleFlg].Value = "0";
                 CurRow.Cells[(int)DispGridColumn.TotalFlg].Value = "0";
                 CurRow.Cells[(int)DispGridColumn.BlankFlg].Value = "0";
 
@@ -654,7 +799,7 @@
                 foreach (DataGridViewRow wrkRow in dgv.Rows)
                 {
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.BlankFlg].Value) == 1) continue;
-                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1) continue;
+                    if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1) continue;
                     if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.TotalFlg].Value) != 0) continue;
 
                     // 行の色をデフォルト色へ変更
@@ -686,12 +831,12 @@
                 DataGridView dgv = dgvAllDisplay;
                 DataGridViewRow CurRow = dgv.Rows[CurrentRow];
 
-                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitileFlg].Value) == 1)
+                if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TitleFlg].Value) == 1)
                 {   // タイトル行
                     // 行の色を変える
                     for (int i = 0; i < (int)DispGridColumn.BlankFlg; i++)
                     {
-                        dgv.Rows[m_BeforeGridRow].Cells[i].Style.BackColor = s_TitileRowBackColor;
+                        dgv.Rows[m_BeforeGridRow].Cells[i].Style.BackColor = s_TitleRowBackColor;
                     }
                 }
                 else if (CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.TotalFlg].Value) == 1)
